Option Strict On
Module Module1

    Sub Main()
        Console.WriteLine("введите значение погрешности")
        Dim eps As Double = Double.Parse(Console.ReadLine())
        Console.WriteLine("введите значение х")
        Dim x As Double = Double.Parse(Console.ReadLine())
        Dim i As Integer = 0
        Dim xsum As Double = 1
        Dim sum As Double = xsum
        Do
            i = i + 1
            xsum = xsum * x / i
            sum = sum + xsum
        Loop Until Math.Abs(xsum) < eps
        Console.WriteLine("Экспонента числа х равна")
        Console.WriteLine("   {0}", sum)
        Console.ReadLine()
    End Sub

End Module
